import { Seed } from './ifaces';
export declare class SeedEncoding {
    private static genericHash;
    /**
     * Checks if a seed is valid
     * @param {String} seed - encoded Algorand seed
     * @returns {Boolean} true if valid, false otherwise
     */
    static isValidSeed(seed: string): boolean;
    /**
     * Decode a seed
     *
     * @param seed
     * @return {{checksum: Uint8Array, seed: Uint8Array}}
     */
    static decode(seed: string): Seed;
    /**
     * Encode a secret key into a seed
     *
     * @param secretKey
     * @return {String} encoded seed
     */
    static encode(secretKey: Uint8Array): string;
}
//# sourceMappingURL=seedEncoding.d.ts.map